# Interface CAShellCmdType

All Superinterfaces:
  `com.io7m.quarrel.core.QCommandOrGroupType, com.io7m.quarrel.core.QCommandType`

All Known Implementing Classes:
  `CAShellCmdAbstract, CAShellCmdAbstractCR, CAShellCmdAuditSearchBegin, CAShellCmdAuditSearchNext, CAShellCmdAuditSearchPrevious, CAShellCmdBookmarkList, CAShellCmdBookmarkLogin, CAShellCmdBookmarkPut, CAShellCmdBookmarkRemove, CAShellCmdFileGet, CAShellCmdFilePut, CAShellCmdFileSearchBegin, CAShellCmdFileSearchNext, CAShellCmdFileSearchPrevious, CAShellCmdFilesRecent, CAShellCmdHelp, CAShellCmdItemAttachmentAdd, CAShellCmdItemAttachmentRemove, CAShellCmdItemCreate, CAShellCmdItemDelete, CAShellCmdItemGet, CAShellCmdItemMetadataPut, CAShellCmdItemMetadataRemove, CAShellCmdItemSearchBegin, CAShellCmdItemSearchNext, CAShellCmdItemSearchPrevious, CAShellCmdItemSetName, CAShellCmdItemTypesAssign, CAShellCmdItemTypesRevoke, CAShellCmdLocationAttachmentAdd, CAShellCmdLocationAttachmentRemove, CAShellCmdLocationDelete, CAShellCmdLocationGet, CAShellCmdLocationList, CAShellCmdLocationPut, CAShellCmdLogin, CAShellCmdLogout, CAShellCmdRolesAssign, CAShellCmdRolesGet, CAShellCmdRolesRevoke, CAShellCmdSelf, CAShellCmdSet, CAShellCmdStockRepositRemove, CAShellCmdStockRepositSerialIntroduce, CAShellCmdStockRepositSerialMove, CAShellCmdStockRepositSerialNumberAdd, CAShellCmdStockRepositSerialNumberRemove, CAShellCmdStockRepositSetAdd, CAShellCmdStockRepositSetIntroduce, CAShellCmdStockRepositSetMove, CAShellCmdStockRepositSetRemove, CAShellCmdStockSearchBegin, CAShellCmdStockSearchNext, CAShellCmdStockSearchPrevious, CAShellCmdSyntaxList, CAShellCmdSyntaxShow, CAShellCmdTypePackageGetText, CAShellCmdTypePackageInstall, CAShellCmdTypePackageSchema, CAShellCmdTypePackageSearchBegin, CAShellCmdTypePackageSearchNext, CAShellCmdTypePackageSearchPrevious, CAShellCmdTypePackageUninstall, CAShellCmdTypePackageUpgrade, CAShellCmdVersion`

public interface CAShellCmdType extends com.io7m.quarrel.core.QCommandType
The type of shell commands.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `org.jline.reader.Completer`
  `completer()`

  ### Methods inherited from interface com.io7m.quarrel.core.QCommandOrGroupType

  `isHidden, metadata`

  ### Methods inherited from interface com.io7m.quarrel.core.QCommandType

  `onExecute, onListNamedParameters, onListPositionalParameters`

- ## Method Details

  - ### completer

    org.jline.reader.Completer completer()
    Returns:
      A shell command completer for the command